## python-marshmallow-polyfield 5.10

=== requirements.txt ===
coverage>=3.7.1
coveralls>=0.5
flake8>=2.4.1
marshmallow>=3.0.0b10
pytest>=2.7.2
pytest-cov>=2.1.0
tox>=2.1.1

## python-marshmallow-polyfield 5.9

=== debian/changelog ===
python-marshmallow-polyfield (5.9-1) unstable; urgency=medium

  * Team upload.

  [ Diego M. Rodriguez ]
  * New upstream version 5.9
  * Add salsa CI using default pipelines
  * Remove tests as are no longer included by upstream
  * d/control: add Testsuite, Rules-Requires-Root
  * d/control: bump debheler-compat to 13

  [ Tristan Seligmann ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 02 Aug 2020 15:51:01 +0200

python-marshmallow-polyfield (5.8-1) unstable; urgency=medium

  * Initial release (Closes: #942133)

 -- Diego M. Rodriguez <diego@moreda.io>  Tue, 28 Jan 2020 10:26:25 +0100

=== debian/control ===
Source: python-marshmallow-polyfield
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Diego M. Rodriguez <diego@moreda.io>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-marshmallow,
               python3-setuptools
Standards-Version: 4.5.0
Homepage: https://github.com/Bachmann1234/marshmallow-polyfield
Vcs-Git: https://salsa.debian.org/python-team/modules/python-marshmallow-polyfield.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-marshmallow-polyfield
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-marshmallow-polyfield
Architecture: any
Depends: python3-marshmallow,
         ${misc:Depends},
         ${python3:Depends}
Description: marshmallow extension for polymorphic fields
 marshmallow extension that adds a custom field designed for polymorphic
 types, allowing defining schemas that say "this field accepts anything
 of type X". This field should support the same properties as other
 marshmallow fields, including "required", "allow_none", and "many".

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/marshmallow-polyfield/marshmallow-polyfield-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-marshmallow-polyfield 5.10

=== debian/changelog ===
python-marshmallow-polyfield (5.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Diego M. Rodriguez ]
  * New upstream version 5.10
  * d/control: bump Standards-Version to 4.6.0 (no changes needed)
  * d/control: set architecture to all
  * d/watch: switch to github releases
  * d/upstream: remove unused key
  * d/control: remove hard-coded dependency
  * d/tests: add upstream tests
  * d/rules: use pytest option instead of patch
  * d/copyright: add note about copyright year
  * d/copyright: add closing copyright year and note
  * d/clean: clean egg-info entries

 -- Diego M. Rodriguez <diego@moreda.io>  Sat, 18 Sep 2021 15:41:43 +0000

=== debian/control ===
Source: python-marshmallow-polyfield
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Diego M. Rodriguez <diego@moreda.io>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-marshmallow,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.6.0
Homepage: https://github.com/Bachmann1234/marshmallow-polyfield
Vcs-Git: https://salsa.debian.org/python-team/packages/python-marshmallow-polyfield.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-marshmallow-polyfield
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-marshmallow-polyfield
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: marshmallow extension for polymorphic fields
 marshmallow extension that adds a custom field designed for polymorphic
 types, allowing defining schemas that say "this field accepts anything
 of type X". This field should support the same properties as other
 marshmallow fields, including "required", "allow_none", and "many".

=== debian/rules ===
#! /usr/bin/make -f

# export DH_VERBOSE = 1
export PYBUILD_NAME=marshmallow-polyfield
# Do not use upstream `setup.cfg`.
export PYBUILD_TEST_ARGS=-c /dev/null


%:
	dh $@ --with python3 --buildsystem=pybuild

## python-marshmallow-polyfield 5.11

=== debian/changelog ===
python-marshmallow-polyfield (5.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix serializing selected fields without 'dump' methods (closes:
      #1098600).
  * Use dh-sequence-python3.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Feb 2025 01:08:39 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Diego M. Rodriguez <diego@moreda.io>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-marshmallow,
                python3-pytest,

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, python3-all, python3-pytest

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/Bachmann1234/marshmallow-polyfield/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
